<div class="shortcode-content">
    <div class="analytify-shortcode-edit-popup">
        <h3 class="popup-title">Select metrics and dimensions, sort them with metrics and show stats to your visitors (roles). </h3>
        <div class="analytify-shortcode-edit-ui">    
            <div class="analytify-shortcode-edit-ui-selector">
                <div id="response"></div>
                <div class="selector-item">
                    <label class="matrix-label" for="metrics">Metrics: </label>
                        <select name="metrics[]" data-placeholder="Select at least one Metric" id="metrics" multiple style="width:306px;">
                            <optgroup label="user">
                                <option value="ga:users">Users</option>
                                <option value="ga:newUsers">New Users</option>
                                <option value="ga:percentNewSessions">Percent New Sessions</option>
                            </optgroup>
                            <optgroup label="Session">
                                <option value="ga:sessions">Sessions</option>
                                <option value="ga:bounces">Bounces</option>
                                <option value="ga:bounceRate">Bounce Rate</option>
                                <option value="ga:sessionDuration">sessionDuration</option>
                                <option value="ga:avgSessionDuration">Avg SessionDuration</option>
                                <option value="ga:hits">Hits</option>
                            </optgroup>
                            <optgroup label="Page Tracking">
                                <option value="ga:pageValue">Page Value</option>
                                <option value="ga:entrances">Entrances</option>
                                <option value="ga:pageviews">Pageviews</option>
                                <option value="ga:uniquePageviews">Unique Pageviews</option>
                                <option value="ga:exits">Exits</option>
                                <option value="ga:exitRate">Exit Rate</option>
                                <option value="ga:entranceRate">Entrance Rate</option>
                                <option value="ga:pageviewsPerSession">Pageviews Per Session</option>
                                <option value="ga:timeOnPage">Time On Page</option>   
                                <option value="ga:avgTimeOnPage">Avg Time On Page</option>   
                            </optgroup>                 
                        </select>
                </div>
                <div class="selector-item">
                    <label class="matrix-label" for="dimensions">Dimensions: </label>
                        <select name="dimensions[]" data-placeholder="Select at least one Dimension" id="dimensions" multiple style="width:306px;">
                            <optgroup label="user">
                                <option value="ga:userType">User Type</option>
                                <option value="ga:sessionCount">Session Count</option>
                                <option value="ga:daysSinceLastSession">Days Since Last Session</option>
                                <option value="ga:sessionDurationBucket">Session Duration Bucket</option>
                            </optgroup>
                            <optgroup label="Traffic Sources">
                                <option value="ga:referralPath">Referral Path</option>
                                <option value="ga:fullReferrer">Full Referrer</option>
                                <option value="ga:source">Source</option>
                                <option value="ga:medium">Medium</option>
                                <option value="ga:sourceMedium">Source Medium</option>
                                <option value="ga:keyword">Keyword</option>
                                <option value="ga:socialNetwork">Social Network</option>
                            </optgroup>
                            <optgroup label="Platform or Device">
                                <option value="ga:browser">Browser</option>
                                <option value="ga:browserVersion">Browser Version</option>
                                <option value="ga:operatingSystem">Operating System</option>
                                <option value="ga:operatingSystemVersion">Operating System Version</option>
                                <option value="ga:mobileDeviceBranding">Mobile Device Branding</option> 
                                <option value="ga:mobileDeviceModel">Mobile Device Model</option>
                                <option value="ga:mobileInputSelector">Mobile Input Selector</option>  
                                <option value="ga:mobileDeviceInfo">Mobile Device Info</option>  
                                <option value="ga:mobileDeviceMarketingName">Mobile Device MarketingName</option> 
                                <option value="ga:deviceCategory">Device Category</option> 
                                <option value="ga:flashVersion">Flash Version</option> 
                                <option value="ga:javaEnabled">Java Enabled</option>
                                <option value="ga:language">Language</option>                     
                                <option value="ga:screenColors">ScreenColors</option>                     
                                <option value="ga:screenResolution">ScreenResolution</option>                     
                            </optgroup>
                            <optgroup label="Page Tracking">
                                <option value="ga:hostname">Hostname</option>                     
                                <option value="ga:pagePath">Page Path</option>                     
                                <option value="ga:pageTitle">Page Title</option>                     
                                <option value="ga:landingPagePath">Landing Page Path</option>                     
                                <option value="ga:secondPagePath">secondPagePath</option>                     
                                <option value="ga:exitPagePath">Exit Page Path</option>                     
                                <option value="ga:previousPagePath">Previous Page Path</option>                     
                                <option value="ga:nextPagePath">Next Page Path</option>                     
                                <option value="ga:pageDepth">Page Depth</option>                     
                            </optgroup>                   
                        </select>
                </div>
                <div class="selector-item">
                    <label for="permission_view">Visible to (roles) : </label>
                        <select name="permission_view" data-placeholder="Show Stats (roles wise)" id="permission_view" multiple style="width:306px">
                            <option value="">Everyone</option>
                            <?php
                                if ( !isset( $wp_roles ) )
                                {
                                  
                                    $wp_roles = new WP_Roles();
                                }
                              
                              foreach ( $wp_roles->role_names as $role => $name ) {
                                 
                            ?>
                                <option value="<?php echo $role; ?>"><?php echo $name; ?></option>
                            <?php } ?>                  
                        </select>
                </div>
                <div style="clear:both"></div>
                <div class="selector-item">
                    <label for="sort_by">Sort By: </label>
                        <select name="sort_by" id="sort_by">
                            <option value="-ga:sessions">Sessions</option>
                            <option value="-ga:users">Users</option>
                            <option value="-ga:newUsers">New Users</option>
                            <option value="-ga:percentNewSessions">Percent New Sessions</option>
                            <option value="-ga:bounces">Bounces</option>
                            <option value="-ga:bounceRate">BounceRate</option>
                            <option value="-ga:hits">Hits</option>
                            <option value="-ga:pageValue">Page Value</option>
                            <option value="-ga:entrances">Entrances</option>
                            <option value="-ga:pageviews">Pageviews</option>
                            <option value="-ga:uniquePageviews">Unique Pageviews</option>
                            <option value="-ga:exits">Exits</option>
                            <option value="-ga:entranceRate">EntranceRate</option>
                            <option value="-ga:pageviewsPerSession">Pageviews Per Session</option>
                            <option value="-ga:entranceRate">Entrance Rate</option>
                            <option value="-ga:timeOnPage">Time On Page</option>                    
                        </select>
                </div>
                <div class="selector-item">
                    <label for="analytics_for">Analytics for: </label>
                        <select name="analytics_for" id="analytics_for">
                            <option value="current">Current page</option>
                            <option value="full">Full Site</option>
                        </select>
                </div>
                <div style="clear:both"></div>
                
                <div class="selector-item">
                    <label for="date_range">Date range: </label>
                    <select name="analytify_date_type" id="analytify_date_type">
                            <option value="custom">Custom</option>
                            <option value="today">Today</option>
                            <option value="- 1 days">Yesterday</option>
                            <option value="- 15 days">Last 15 days</option>
                            <option value="- 7 days">Last 7 Days</option>
                            <option value="- 30 days">Last 30 Days</option>
                    </select>
                </div>

                <div class="selector-item analytify_start_date">
                    <label for="start_date">Start Date: </label>
                    <input type="text" id="analytify_start_date" />
                </div>
                <div class="selector-item analytify_end_date">
                    <label for="analytify_end_date">End Date: </label>
                    <input type="text" id="analytify_end_date" />
                </div>
                <div style="clear:both"></div>
                <div class="selector-item">
                    <label for="analytify_max_result">Max records: </label>
                    <input type="number" value="5" id="analytify_max_result" />
                </div>
                <div style="clear:both"></div>
                <div class="selector-item right-side">
                    <button id="insert_stats" class="button-primary" style="padding:0 18px;">Ok</button>
                    <button id="cancel" class="button">Cancel</button>
                </div>
            </div>
        </div>
        
    </div>
    
</div>

<script type="text/javascript">
    
    jQuery(function($) {

        $('#analytify_date_type').on( "change", function(){

            if($(this).val() != 'custom') {

                $('.analytify_start_date, .analytify_end_date').hide();

            }else{

                $('.analytify_start_date, .analytify_end_date').show();

            }
        //console.log( $(this).val() );

    });

    });

    jQuery( '#metrics' ).chosen({max_selected_options: 10}); 
    jQuery( '#dimensions' ).chosen({max_selected_options: 7});
    jQuery( '#sort_by,#permission_view' ).chosen();




    jQuery( '#analytify_start_date' ).datepicker({
        dateFormat : 'yy-mm-dd',
        changeMonth : true,
        changeYear : true,
        yearRange: '-9y:c+nn'       
    }).datepicker( 'setDate', new Date() );
    
    jQuery( '#analytify_end_date' ).datepicker({
        dateFormat : 'yy-mm-dd',
        changeMonth : true,
        changeYear : true,
        yearRange: '-9y:c+nn'       
    }).datepicker( 'setDate',new Date() );
    
    jQuery( '#cancel' ).click( function(){
     
        tb_remove();
    });
    
    jQuery( '#insert_stats' ).click( function(){
        
        var all_metrics,all_dimensions,dimensions,start_date,end_date,
            max_result,sort,shorcode,permission_view,metrics,analytics_for;
        
        metrics         =  jQuery( '#metrics' ).val();
        dimensions      =  jQuery( '#dimensions' ).val();
        date_type       =  jQuery( '#analytify_date_type' ).val();
        start_date      =  jQuery( '#analytify_start_date') .val();
        end_date        =  jQuery( '#analytify_end_date' ).val();
        max_result      =  jQuery( '#analytify_max_result' ).val();
        sort            =  jQuery( '#sort_by' ).val();
        analytics_for   =  jQuery( '#analytics_for' ).val();
        permission_view =  jQuery( '#permission_view' ).val();

        if( metrics == null ){
            jQuery( '#response' ).html( '<div id="error" class="error below-h2" style="clear: both;">At least one Metric is required.</div>' );
        }
        else{
            all_metrics = metrics.join();
        }

        if( dimensions == null ){
            jQuery( '#response' ).html( '<div id="error" class="error below-h2" style="clear: both;">At least one Dimension is required.</div>' );
            
        }else{
            all_dimensions = dimensions.join();
        }

        if( permission_view == null ){
            permission_view = '';
        }
        
        if( dimensions != null && permission_view != null ){
             all_dimensions = dimensions.join();

            if( date_type == 'custom')
                shortcode = '[analytify-stats metrics="'+all_metrics+'" dimensions="'+all_dimensions+'" date_type="'+date_type+'" start_date="'+start_date+'" end_date="'+end_date+'" max_results="'+max_result+'" sort="'+sort+'" analytics_for="'+analytics_for+'" permission_view="'+permission_view+'"]';
            else
                shortcode = '[analytify-stats metrics="'+all_metrics+'" dimensions="'+all_dimensions+'" date_type="'+date_type+'" max_results="'+max_result+'" sort="'+sort+'" analytics_for="'+analytics_for+'" permission_view="'+permission_view+'"]';
        }
        else{
            shortcode= '[analytify-stats metrics="'+all_metrics+'" dimensions="" start_date="'+start_date+'" end_date="'+end_date+'" max_results="'+max_result+'" sort="'+sort+'" analytics_for="'+analytics_for+'" permission_view=""]';
        }

        if( metrics != null && dimensions != null ){
            tinyMCE.activeEditor.execCommand( 'mceInsertContent', 0, shortcode );
            tb_remove();
        }
    });
</script>